import { useState } from 'react';
export const useStorage = (key) => {
    var _a;
    const [storageData, setStorageData] = useState(JSON.parse((_a = localStorage.getItem(key)) !== null && _a !== void 0 ? _a : null));
    const setData = (value) => {
        if (value === null) {
            localStorage.removeItem(key);
            setStorageData(null);
        }
        else if (value) {
            localStorage.setItem(key, JSON.stringify(value));
            setStorageData(value);
        }
    };
    return [storageData, setData];
};
